Payment batches & settlement

Convert Schedule Settlement Batch

Name and signature indicate it converts schedule settlement batch

POSThttps://api.toku.com/tga/convert-schedule-settlement-batch

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/tga/convert-schedule-settlement-batch' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "taxReferenceIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "batchName": "string"
}'
200 response
{
  "batchID": "string",
  "intentCount": 0,
  "reusedExistingBatch": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring<uuid>required
taxReferenceIDsstring<uuid>[]required

Allowed: 1 to 200 items

batchNamestring

Allowed: at most 100 characters

Response

200Successful response
batchIDstringrequired
intentCountintegerrequired
reusedExistingBatchbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits